org.apache.avro.ipc.specific

## Class SpecificResponder

- java.lang.Object
- - org.apache.avro.ipc.Responder
  - - org.apache.avro.ipc.generic.GenericResponder
    - - org.apache.avro.ipc.specific.SpecificResponder

Direct Known Subclasses:
  ReflectResponder

    public class SpecificResponder
    extends GenericResponder

`Responder` for generated interfaces.

### Field Summary

### Fields inherited from class org.apache.avro.ipc.Responder

`rpcMetaPlugins`

### Constructor Summary

Constructors
Constructor and Description
`SpecificResponder(Class iface, Object impl)`
`SpecificResponder(Class iface, Object impl, org.apache.avro.specific.SpecificData data)`
`SpecificResponder(org.apache.avro.Protocol protocol, Object impl)`
`SpecificResponder(org.apache.avro.Protocol protocol, Object impl, org.apache.avro.specific.SpecificData data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.avro.io.DatumReader<Object>` `getDatumReader(org.apache.avro.Schema actual, org.apache.avro.Schema expected)`
`protected org.apache.avro.io.DatumWriter<Object>` `getDatumWriter(org.apache.avro.Schema schema)`
`org.apache.avro.specific.SpecificData` `getSpecificData()`
`Object` `respond(org.apache.avro.Protocol.Message message, Object request)` Computes the response for a message.
`void` `writeError(org.apache.avro.Schema schema, Object error, org.apache.avro.io.Encoder out)` Writes an error message.

### Methods inherited from class org.apache.avro.ipc.generic.GenericResponder

`getGenericData, readRequest, writeResponse`

### Methods inherited from class org.apache.avro.ipc.Responder

`addRPCPlugin, getLocal, getRemote, respond, respond`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpecificResponder

    public SpecificResponder(Class iface,
                             Object impl)

#### SpecificResponder

    public SpecificResponder(org.apache.avro.Protocol protocol,
                             Object impl)

#### SpecificResponder

    public SpecificResponder(Class iface,
                             Object impl,
                             org.apache.avro.specific.SpecificData data)

#### SpecificResponder

    public SpecificResponder(org.apache.avro.Protocol protocol,
                             Object impl,
                             org.apache.avro.specific.SpecificData data)

### Method Detail

#### getSpecificData

    public org.apache.avro.specific.SpecificData getSpecificData()

#### getDatumWriter

    protected org.apache.avro.io.DatumWriter<Object> getDatumWriter(org.apache.avro.Schema schema)

Overrides:
  `getDatumWriter` in class `GenericResponder`

#### getDatumReader

    protected org.apache.avro.io.DatumReader<Object> getDatumReader(org.apache.avro.Schema actual,
                                                                    org.apache.avro.Schema expected)

Overrides:
  `getDatumReader` in class `GenericResponder`

#### writeError

    public void writeError(org.apache.avro.Schema schema,
                           Object error,
                           org.apache.avro.io.Encoder out)
                    throws IOException

Description copied from class: `Responder`
Writes an error message.

Overrides:
  `writeError` in class `GenericResponder`
Throws:
  `IOException`

#### respond

    public Object respond(org.apache.avro.Protocol.Message message,
                          Object request)
                   throws Exception

Description copied from class: `Responder`
Computes the response for a message.

Specified by:
  `respond` in class `Responder`
Throws:
  `Exception`